export default class PromiseCapability<T> {
    #private;
    promise: Promise<T>;
    resolve: (data: T) => void;
    reject: (reason: any) => void;
    constructor();
    /**
     * 这个 getter 只是返回私有属性 #settled 的值，指示 Promise 是否已被解决或拒绝。
     * @type {boolean} If the Promise has been fulfilled/rejected.
     */
    get settled(): boolean;
}
